#ifdef PSANIPROFI
    res = pthread_create(&vlakno[3], &vlakno_atr, vl_varovani, NULL);
    if (res != 0) {
        if (global_get(g_warning) == g_w_ano)
            print_hl(1,
                     "Chyba spouštění \"varovani\" --> ukončete program!");
        vlspusteno[3] = 0;
        return;
    } else
        vlspusteno[3] = 1;

    res = pthread_create(&vlakno[4], &vlakno_atr, vl_obnov_datum, NULL);
    if (res != 0) {
        if (global_get(g_warning) == g_w_ano)
            print_hl(1, "Chyba spouštění vlaken --> ukončete program!");
        vlspusteno[4] = 0;
        return;
    } else
        vlspusteno[4] = 1;


    static THNcursesJob tjob;   // musi byt static, aby to vlaknu nezmizelo pod rukama
    tjob.fce = zpracuj_winch_job;
    tjob.data = NULL;

    res =
        pthread_create(&vlakno[5], &vlakno_atr, thncurses_signal_thread,
                       (void *) &tjob);
    if (res != 0) {
        if (global_get(g_warning) == g_w_ano)
            print_hl(1,
                     "Chyba spouštění \"thncurses_signal_thread\" --> ukončete program!");
        vlspusteno[5] = 0;
        return;
    } else
        vlspusteno[5] = 1;

    res = pthread_create(&vlakno[6], &vlakno_atr, winch_thread, NULL);
    if (res != 0) {
        if (global_get(g_warning) == g_w_ano)
            print_hl(1,
                     "Chyba spouštění \"winch_thread\" --> ukončete program!");
        vlspusteno[6] = 0;
        return;
    } else
        vlspusteno[6] = 1;

/*	res = pthread_create(&vlakno[6], &vlakno_atr, vl_sporic, NULL);

	if (res != 0) {
	   if (global_get(g_warning) == g_w_ano)
		print_hl(1,
			 "Chyba spouštění \"sporic\" --> ukončete program!");
	    vlspusteno[6] = 0;
	    return;
	}  else vlspusteno[6] = 1;*/
#endif
