/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor vyhodnottest.c */

#include "struktury.h"
#include "lib.h"

int
vyhodnocenitestu (type_uziv * slozka, type_odstavec * odstavec, type_znamka z)
{
/* zatim tu sou same nuly, protoze se uklada jen 1 (nejlepci) vysledek */
  if (slozka->znamka_test[0][2][odstavec->lekce - 1] == 0 ||
      slozka->znamka_test[0][2][odstavec->lekce - 1] > z.znamka ||
      (slozka->znamka_test[0][2][odstavec->lekce - 1] == z.znamka &&
       slozka->uh_min[0][odstavec->lekce - 1] < z.uh_min))
    {

      slozka->uh_min[0][odstavec->lekce - 1] = z.uh_min;
      slozka->vterin_test[0][odstavec->lekce - 1] = z.vterin;
      slozka->chyb_test[0][odstavec->lekce - 1] = z.chyb;
      slozka->znamka_test[0][0][odstavec->lekce - 1] = z.znamka_presnost;
      slozka->znamka_test[0][1][odstavec->lekce - 1] = z.znamka_cas;
      slozka->znamka_test[0][2][odstavec->lekce - 1] = z.znamka;
      if (uloz_slozku (slozka))
	print_hl (2, "CHYBA: data se nepodailo uloit do souboru ",
		  jmeno_souboru ());
      return 0;
    }
  else
    return 1;			/* vysledky jsou horsi nez drive */

}

void
vyhodnot_test (type_uziv * slozka, type_odstavec * odstavec,
	       type_informace infotest, type_znamka z, int na_znamku)
{
  char *text[3];
  char stemp[40];

  snprintf (stemp, sizeof (stemp) / sizeof (stemp[0]),
	    "Test/Pokus: %02i/%02i", odstavec->lekce,
	    na_znamku ? slozka->napsano_test[odstavec->lekce - 1] : 0);
  text[0] = stemp;
  text[1] = NULL;
  text[2] = NULL;

  if (slozka->napsano_test[odstavec->lekce - 1] <= POKUSU && na_znamku)
    {
      if (vyhodnocenitestu (slozka, odstavec, z))
	text[1] = "Vsledky jsou hor ne dve !";
      else
	text[1] = "Vsledky zaznamenny !";
    }
  else if (na_znamku)
    {				/* k tomuto by nemelo dojit */
      text[1] = "Tyto vsledky se ji nepotaj !!!";
    }
  else
    text[1] = "Test byl psn jen na skouku ";

  vypis_vyhodnoceni (odstavec, infotest, z, text);
}
